#include <p18f4550.h>

#include "LCD_44780_I2C.h"
#include "LCD_44780_I2C.c"
#include "PCF8574.c"
#include "delay.c"

#pragma config FOSC = HS 	
#pragma config WDT = OFF 	
#pragma config LVP = OFF 	
#pragma config PBADEN = OFF 

//OSC = HS  	Impostato per lavorare ad alta frequenza 
//WDT = OFF		Disabilito il watchdog timer
//LVP = OFF 	Disabilito programmazione LVP
//PBADEN = OFF Disabilito gli ingressi analogici


void main (void){


	// Imposto PORTA tutti ingressi 
	LATA = 0x00; 
 	TRISA = 0xFF;

	// Imposto PORTB tutti ingressi
 	LATB = 0x00; 
 	TRISB = 0xFF;

	// Imposto PORTC tutti ingressi
 	LATC = 0x00;    	 
 	TRISC = 0xFF;
 	
	// Imposto PORTD tutti ingressi
 	LATD = 0x00;  
 	TRISD = 0xFF;

	// Imposto PORTE tutti ingressi
 	LATE = 0x00;
 	TRISE = 0xFF;
	

	// Inizializza il modulo I2C a 100KHz @20MHz
	OpenI2C(MASTER, SLEW_OFF);
	SSPADD = 49;

	// Inizializzo il display LCD con quarzo a 20MHz

 	OpenLCD (20);
 	
	BacklightLCD (TURN_ON_LED);

	WriteStringLCD ("  Hello World");

	// Ciclo infinito
 	while (1) {	 	
	 
 	}
}
